%define  upstream_name Url
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.2.2
Release:	%mkrel 3
Summary:	The Url package provides basic operations to handle urls (parse, build
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.7
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch


%description
The Url package provides basic operations to handle urls (parse, build,
get/set path, get/set query).

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Url.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Url.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/Url
fi

%files
%defattr(-,root,root)
%doc docs/Url/*
%{peardir}/data/Url/design/class_diagram.png
%{peardir}/data/Url/design/requirements.txt
%{peardir}/ezc/Url/exceptions/url_exception.php
%{peardir}/ezc/Url/exceptions/url_invalid_parameter_exception.php
%{peardir}/ezc/Url/exceptions/url_no_configuration_exception.php
%{peardir}/ezc/Url/exceptions/url_not_registered_exception.php
%{peardir}/ezc/Url/url.php
%{peardir}/ezc/Url/url_autoload.php
%{peardir}/ezc/Url/url_configuration.php
%{peardir}/ezc/Url/url_creator.php
%{peardir}/ezc/Url/url_tools.php
%{peardir}/ezc/autoload/url_autoload.php
%{xmldir}/Url.xml


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.2.2-3.mga3
+ Revision: 349986
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 17 2011 spuhler <spuhler> 1.2.2-2.mga2
+ Revision: 125561
- increased rel to 2
- increased rel to 2
  changed Requires: components to ezcomponents

* Sun Jul 17 2011 spuhler <spuhler> 1.2.2-1.mga2
+ Revision: 125153
- imported package ezcomponents-Url

